int serIn = 0; //will contain the byte received by the serial port

int analogValues[6][10];
int iTab=0,iCapt=0,i=0,value=0;

int relay=11;
int led=12;


void setup(void) {
    Serial.begin(9600);
    pinMode(0, INPUT);
    pinMode(1, INPUT);
    pinMode(2, INPUT);
    pinMode(3, INPUT);
    pinMode(4, INPUT);
    pinMode(5, INPUT);
    pinMode(6, INPUT);
    pinMode(7, INPUT);
    pinMode(8, INPUT);
    pinMode(9, INPUT);
    pinMode(10, INPUT);
    pinMode(relay, OUTPUT);

    pinMode(led, OUTPUT);
    //delay(10000); //=10s, pyro takes this time to initialize itself
    digitalWrite(led, HIGH);
}

void loop(void) {
    if(iTab == 10)
    { iTab = 0; }
    for(iCapt=0; iCapt <= 5; iCapt++)
    {
        analogValues[iCapt][iTab] = analogRead(iCapt);
    }
    
    serIn = serialRead();
    if (serIn != -1) { //do we have data ?
        if(0 <= serIn && serIn <= 5)
        {
            for(i=0,value=0; i <= 9; i++)
            { value += analogValues[serIn][i]; }
            Serial.print((value/10)>>2, BYTE);
        }
        else if('a' <= serIn && serIn <= 'n')
        { 
            //'a'=97 so 'a'-97=pin0
            //'b'=98 so 'b'-97=pin1 and so...
            Serial.print(digitalRead(serIn-97), BYTE);
        }
        else if(serIn == 'x')
        {
            digitalWrite(relay, HIGH);
            delay(2000);
            digitalWrite(relay, LOW);
        }
            
    }
    
    iTab++;
}
